Pre-release — content may change.

Webhooks

List delivery attempts for a webhook endpoint

GET
/webhook/endpoints/{endpoint_id}/attempts

Cursor-paginated list of delivery attempts for the endpoint over the last 30 days (only attempts tied to an event bundle are returned). Administrator access only.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

endpoint_id*string

Webhook endpoint UUID.

Query Parameters

page?

Cursor pagination parameters. Used by endpoints that paginate unbounded collections via before / after opaque cursors.

include?string

Comma-separated list of related resources to include. Allowed values: endpoint_event_bundle.

filter?

Filter predicates on Webhook Attempt attributes. Keys take the form filter[<attribute>_<predicate>]=<value>. Filterable attributes: response_code, response_code_numeric, success, created_at.

  • String / uuid: eq, not_eq, cont, in, not_in, present, blank, null, not_null
  • Integer / datetime: eq, not_eq, gt, gteq, lt, lteq, in, not_in
  • Boolean: eq, not_eq

Example: ?filter[success_eq]=false&filter[response_code_numeric_gteq]=500

fields[webhook_attempts]?array<>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/webhook/endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08/attempts?include=endpoint_event_bundle"
{  "data": [    {      "type": "webhook_attempts",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "attributes": {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "success": true,        "response_code": "string",        "response": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "relationships": {        "endpoint_event_bundle": {          "data": {            "type": "webhook_endpoint_event_bundles",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        }      },      "links": {        "self": "../dictionary"      }    }  ],  "meta": {    "page": {}  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}